import { CSSProperties, TargetedEvent } from 'preact/compat';
import './style.css';

type NavigationSeparatorProps = {
  pageNames: Array<string>,
  onClick: (e: TargetedEvent, name: string) => void,
  titleStyles?: any,
  containerStyle?: CSSProperties
  selectedValue?: string | number
}

function NavigationSeparator(props: NavigationSeparatorProps) {
  return (
    <div class={"divider mb-2 navigation-separator-container"} style={props.containerStyle}>
      {props.pageNames.map(x => (
        <a 
          className={`text-xs font-bold uppercase mr-5 ${props.selectedValue != x.toLowerCase() ? 'text-gray' : 'pointer-events-none'}`}
          style={{...props.titleStyles, letterSpacing: .9}} 
          onClick={(e) => props.onClick(e, x)}>
            {x}
        </a>
      ))}
    </div>
  )
}

export default NavigationSeparator;