import { client } from "./config";
import { GET_PROVINCES, GET_REGENCIES, GET_REGIONS } from "../constants/api";
import { IHttpResponse } from "src/types/common";

async function getRegionsService(): Promise<IHttpResponse> {
  const newState: IHttpResponse = {data: null, error: null}
  try {
   const response =  await client({ method: 'GET', url: GET_REGIONS})
    newState.data = response.data;
    return newState
  } catch(err) {
    newState.error = err
    throw (newState)
  }
}

async function getProvincesService(): Promise<IHttpResponse> {
  const newState: IHttpResponse = { data: null, error: null}
  try {
   const response =  await client({ method: 'GET', url: GET_PROVINCES})
    newState.data = response.data;
    return newState
  } catch(err) {
    newState.error = err
    throw (newState)
  }
}

async function getRegenciesService(): Promise<IHttpResponse> {
  const newState: IHttpResponse = { data: null, error: null};
  try {
   const response =  await client({ method: 'GET', url: GET_REGENCIES})
    newState.data = response.data;
    newState.status = response.status
    return newState
  } catch(err) {
    newState.error = err
    throw (newState)
  }
}

export {
  getRegionsService,
  getProvincesService,
  getRegenciesService,
}